dofile(LockOn_Options.script_path.."MPCD/indicator/MPCD_definitions.lua")

local mpcd_name = "MPCDL"
if monitorpos == 'R' then
	mpcd_name = "MPCDR"
end

--local half_width   = GetHalfWidth()
--local half_height  = GetHalfHeight()
local half_width   = GetScale()
local half_height  = GetAspect() * half_width

local aspect       = GetAspect() -- GetHalfHeight()/GetHalfWidth()

mpcd_base					= CreateElement "ceMeshPoly" -- untextured shape
mpcd_base.name				= mpcd_name
mpcd_base.material			= MakeMaterial(nil,{255,255,255,255})
mpcd_base.h_clip_relation	= h_clip_relations.REWRITE_LEVEL  -- check clipping : pixel on glass then increase level from GLASS_LEVEL to GLASS_LEVEL+1 = HUD_DEFAULT_LEVEL
mpcd_base.level				= MPCD_DEFAULT_LEVEL
mpcd_base.collimated		= false
mpcd_base.isvisible			= false
mpcd_base.z_emable			= true
mpcd_base.vertices			= { {-1, aspect}, { 1,aspect}, { 1,-aspect}, {-1,-aspect}, }
mpcd_base.indices			= { 0,1,2; 0,2,3 }
Add(mpcd_base)
